Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Production.idl
1/* SPDX-License-Identifier: BSD-3-Clause */
2/*
3 * Copyright 2011 Raritan Inc. All rights reserved.
4 */
5
6/** Methods used during production */
7module production {
8
9 /** Methods used during production */
10 interface Production {
11
12 /**
13 * Enter factory configuration mode.
14 *
15 * This mode unlocks several features which should only be available
16 * during production, e.g. the RS485 address assignment or sensor
17 * calibration. Factory configuration mode will be enabled until
18 * the next reboot or until #leaveFactoryConfigMode is called.
19 *
20 * @param password Password required to enter factory config mdoe.
21 *
22 * @return 0 if OK
23 * @return 1 if the password is wrong
24 */
25 int enterFactoryConfigMode(in string password);
26
27 /**
28 * Leave factory configuration mode.
29 */
30 void leaveFactoryConfigMode();
31
32 /**
33 * Check whether device is in factory configuration mode.
34 *
35 * @return \c true if factory configuration mode is enabled
36 */
37 boolean isFactoryConfigModeEnabled();
38
39 };
40
41}
production::Production
Methods used during production.
Definition Production.idl:10
production::Production::leaveFactoryConfigMode
void leaveFactoryConfigMode()
Leave factory configuration mode.
production::Production::isFactoryConfigModeEnabled
boolean isFactoryConfigModeEnabled()
Check whether device is in factory configuration mode.
production::Production::enterFactoryConfigMode
int enterFactoryConfigMode(in string password)
Enter factory configuration mode.
production
Methods used during production.
Definition Production.idl:7